You are not logged in.

#1 2020-05-13 10:29

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Error updating kernel

Hello

synaptic encountered errors updating kernel to linux-image-4.19.0-6-amd64

Output (translated from Spanish):

-------------------------------------------------------------------------------------------------
(Reading database ... 260835 files or folders currently installed.)
Uninstalling linux-image-4.19.0-6-amd64 (4.19.67-2+deb10u2) ...
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-4.19.0-6-amd64
/etc/kernel/postrm.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.19.0-6-amd64 (--remove):
 subprocess install package  (???) linux-image-4.19.0-6-amd64 script post-removal returned error exit code 1
Errors found processing:
 linux-image-4.19.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package could not be installed. Trying to recover:
Configuring linux-image-4.19.0-9-amd64 (4.19.118-2) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.19.0-9-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.19.0-9-amd64 (--configure):
 subprocess install package (???) linux-image-4.19.0-9-amd64 script post-installation devolvió el código de salida de error 1
dpkg: dependency problems block configuring linux-image-amd64:
 linux-image-amd64 depends on linux-image-4.19.0-9-amd64; although:
 package `linux-image-4.19.0-9-amd64' is not configured yet.

dpkg: error processing linux-image-amd64 (--configure):
 dependency problems - left unconfigured
Errors found processing:
 linux-image-4.19.0-9-amd64
 linux-image-amd64
-------------------------------------------------------------------------------------------------

What should I do?
Thanks,
--
Gabriel

Offline

#2 2020-05-13 10:47

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,738
Website

Re: Error updating kernel

We would need you to run a few commands in terminal and post the complete output here:

At first reboot, check the active kernel and print repositories:
$ uname -a
$ qrepolist

Upgrade the system once again:
$ sudo apt update
$ sudo apt dist-upgrade

Offline

#3 2020-05-13 10:54

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,738
Website

Re: Error updating kernel

Did anyone else notice this issue ?

Offline

#4 2020-05-18 18:56

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Re: Error updating kernel

Thanks. Output from terminal:

Linux edugablinux 4.19.0-8-amd64 #1 SMP Debian 4.19.98-1+deb10u1 (2020-04-27) x86_64 GNU/Linux
gabriel@edugablinux:~$ qrepolist
deb http://q4os.org/q4repo q4os-3-0-cn main
deb http://q4os.org/qtderepo buster main
deb http://ftp.debian.org/debian/ buster main contrib non-free
deb http://security.debian.org/debian-security/ buster/updates main contrib non-free
deb http://ftp.debian.org/debian/ buster-updates main contrib non-free
deb [arch=amd64] http://dl.google.com/linux/chrome-remote-desktop/deb/ stable main
deb [arch=i386,amd64] http://linux.dropbox.com/debian buster main
deb [arch=amd64] http://q4os.org/qextrepo buster-chrome-cn main
deb http://q4os.org/qextrepo buster-libreoffice-cn main
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
gabriel@edugablinux:~$ sudo apt update
[sudo] password for gabriel:
Ign:1 http://dl.google.com/linux/chrome-remote-desktop/deb stable InRelease
Des:2 http://dl.google.com/linux/chrome/deb stable InRelease [1.811 B]
Obj:3 http://security.debian.org/debian-security buster/updates InRelease
Obj:4 http://dl.google.com/linux/chrome-remote-desktop/deb stable Release
Ign:5 http://linux.dropbox.com/debian buster InRelease
Des:6 http://linux.dropbox.com/debian buster Release [6.600 B]
Obj:7 http://ftp.debian.org/debian buster InRelease
Des:9 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1.126 B]
Des:10 http://ftp.debian.org/debian buster-updates InRelease [49,3 kB]
Obj:8 https://q4os.org/q4repo q4os-3-0-cn InRelease
Obj:11 https://q4os.org/qtderepo buster InRelease
Obj:12 https://q4os.org/qextrepo buster-chrome-cn InRelease
Obj:13 https://q4os.org/qextrepo buster-libreoffice-cn InRelease
Descargados 58,8 kB en 5s (11,4 kB/s)
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se pueden actualizar 5 paquetes. Ejecute «apt list --upgradable» para verlos.
gabriel@edugablinux:~$ sudo apt dist-upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Se actualizarán los siguientes paquetes:
  apt apt-utils libapt-inst2.0 libapt-pkg5.0 liblog4j1.2-java
5 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
3 no instalados del todo o eliminados.
Se necesita descargar 3.446 kB/51,4 MB de archivos.
Se utilizarán 4.096 B de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n]
Des:1 http://security.debian.org/debian-security buster/updates/main amd64 libapt-pkg5.0 amd64 1.8.2.1 [966 kB]
Des:2 http://security.debian.org/debian-security buster/updates/main amd64 libapt-inst2.0 amd64 1.8.2.1 [203 kB]
Des:3 http://security.debian.org/debian-security buster/updates/main amd64 apt amd64 1.8.2.1 [1.418 kB]
Des:4 http://security.debian.org/debian-security buster/updates/main amd64 apt-utils amd64 1.8.2.1 [421 kB]
Des:5 http://security.debian.org/debian-security buster/updates/main amd64 liblog4j1.2-java all 1.2.17-8+deb10u1 [438 kB]
Descargados 3.446 kB en 1s (2.417 kB/s)
(Leyendo la base de datos ... 260861 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../libapt-pkg5.0_1.8.2.1_amd64.deb ...
Desempaquetando libapt-pkg5.0:amd64 (1.8.2.1) sobre (1.8.2) ...
Configurando libapt-pkg5.0:amd64 (1.8.2.1) ...
(Leyendo la base de datos ... 260861 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../libapt-inst2.0_1.8.2.1_amd64.deb ...
Desempaquetando libapt-inst2.0:amd64 (1.8.2.1) sobre (1.8.2) ...
Preparando para desempaquetar .../archives/apt_1.8.2.1_amd64.deb ...
Desempaquetando apt (1.8.2.1) sobre (1.8.2) ...
Configurando apt (1.8.2.1) ...
(Leyendo la base de datos ... 260861 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../apt-utils_1.8.2.1_amd64.deb ...
Desempaquetando apt-utils (1.8.2.1) sobre (1.8.2) ...
Preparando para desempaquetar .../liblog4j1.2-java_1.2.17-8+deb10u1_all.deb ...
Desempaquetando liblog4j1.2-java (1.2.17-8+deb10u1) sobre (1.2.17-8) ...
Configurando linux-image-4.19.0-9-amd64 (4.19.118-2) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.19.0-9-amd64
I: The initramfs will attempt to resume from /dev/sda4
I: (UUID=6b1c3076-7ffb-4ae4-9a61-1a9dae6e89a1)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-4.19.0-9-amd64 (--configure):
 el subproceso instalado paquete linux-image-4.19.0-9-amd64 script post-installation devolvió el código de salida de error 1
Configurando liblog4j1.2-java (1.2.17-8+deb10u1) ...
dpkg: problemas de dependencias impiden la configuración de linux-image-amd64:
 linux-image-amd64 depende de linux-image-4.19.0-9-amd64; sin embargo:
 El paquete `linux-image-4.19.0-9-amd64' no está configurado todavía.

dpkg: error al procesar el paquete linux-image-amd64 (--configure):
 problemas de dependencias - se deja sin configurar
Configurando libapt-inst2.0:amd64 (1.8.2.1) ...
Configurando apt-utils (1.8.2.1) ...
Procesando disparadores para man-db (2.8.5-2) ...
Procesando disparadores para libc-bin (2.28-10) ...
Se encontraron errores al procesar:
 linux-image-4.19.0-9-amd64
 linux-image-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
gabriel@edugablinux:~$

Offline

#5 2020-05-22 23:05

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Re: Error updating kernel

Any hint? This error is blocking further updates.

Offline

#6 2020-05-23 10:21

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,738
Website

Re: Error updating kernel

We can see two strange external repositories in the list:

deb [arch=amd64] http://dl.google.com/linux/chrome-remote-desktop/deb/ stable main
deb [arch=i386,amd64] http://linux.dropbox.com/debian buster main

Try to disable those repositories and run:
$ sudo apt update
$ sudo apt dist-upgrade
Post the output back.

Offline

#7 2020-05-23 18:37

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Re: Error updating kernel

After disabling those two repositories:

gabriel@edugablinux:~$ sudo apt update
Obj:1 http://security.debian.org/debian-security buster/updates InRelease
Obj:2 http://dl.google.com/linux/chrome/deb stable InRelease
Obj:3 http://ftp.debian.org/debian buster InRelease
Obj:5 http://ftp.debian.org/debian buster-updates InRelease
Obj:4 https://q4os.org/q4repo q4os-3-0-cn InRelease
Obj:6 https://q4os.org/qtderepo buster InRelease
Obj:7 https://q4os.org/qextrepo buster-chrome-cn InRelease
Obj:8 https://q4os.org/qextrepo buster-libreoffice-cn InRelease
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Se pueden actualizar 14 paquetes. Ejecute «apt list --upgradable» para verlos.
gabriel@edugablinux:~$ sudo apt dist-upgrade
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Se actualizarán los siguientes paquetes:
  bind9-host dnsutils google-chrome-stable libbind9-161 libdns-export1104
  libdns1104 libirs161 libisc-export1100 libisc1100 libisccc161 libisccfg163
  liblwres161 q4os-base q4os-desktop-plasma
14 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
3 no instalados del todo o eliminados.
Se necesita descargar 2.208 B/122 MB de archivos.
Se utilizarán 391 kB de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n]
Des:1 https://q4os.org/q4repo q4os-3-0-cn/main amd64 q4os-desktop-plasma all 3.1.3-a1 [2.208 B]
Descargados 2.208 B en 2s (1.180 B/s)
(Leyendo la base de datos ... 255170 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../q4os-desktop-plasma_3.1.3-a1_all.deb ...
Desempaquetando q4os-desktop-plasma (3.1.3-a1) sobre (3.1.2-a1) ...
Configurando q4os-desktop-plasma (3.1.3-a1) ...
Former package version: (3.1.2-a1), look like an upgrade ...
(Leyendo la base de datos ... 255170 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../google-chrome-stable_83.0.4103.61-1_amd64.deb ...
Desempaquetando google-chrome-stable (83.0.4103.61-1) sobre (81.0.4044.138-1) ...
Preparando para desempaquetar .../q4os-base_3.14.1-a1_all.deb ...
Desempaquetando q4os-base (3.14.1-a1) sobre (3.13.1-a1) ...
Configurando q4os-base (3.14.1-a1) ...
Looks like an upgrade ....
q4os-base version first:  (3.10.1-a1)
q4os-base version former: (3.13.1-a1)
Distro: [buster]
First user: [gabriel]
[FX] Fixes start.
[FX] Fixes end.
(Leyendo la base de datos ... 255168 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../00-dnsutils_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando dnsutils (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../01-bind9-host_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando bind9-host (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../02-libbind9-161_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libbind9-161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../03-libisccfg163_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libisccfg163:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../04-libisccc161_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libisccc161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../05-libirs161_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libirs161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../06-libdns1104_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libdns1104:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../07-libisc1100_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libisc1100:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../08-liblwres161_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando liblwres161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../09-libisc-export1100_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libisc-export1100:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Preparando para desempaquetar .../10-libdns-export1104_1%3a9.11.5.P4+dfsg-5.1+deb10u1_amd64.deb ...
Desempaquetando libdns-export1104 (1:9.11.5.P4+dfsg-5.1+deb10u1) sobre (1:9.11.5.P4+dfsg-5.1) ...
Configurando linux-image-4.19.0-9-amd64 (4.19.118-2) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.19.0-9-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error al procesar el paquete linux-image-4.19.0-9-amd64 (--configure):
 el subproceso instalado paquete linux-image-4.19.0-9-amd64 script post-installation devolvió el código de salida de error 1
Configurando google-chrome-stable (83.0.4103.61-1) ...
Configurando libisc1100:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
dpkg: problemas de dependencias impiden la configuración de linux-image-amd64:
 linux-image-amd64 depende de linux-image-4.19.0-9-amd64; sin embargo:
 El paquete `linux-image-4.19.0-9-amd64' no está configurado todavía.

dpkg: error al procesar el paquete linux-image-amd64 (--configure):
 problemas de dependencias - se deja sin configurar
Configurando liblwres161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libisc-export1100:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libisccc161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libdns-export1104 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libdns1104:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libisccfg163:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libbind9-161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando libirs161:amd64 (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando bind9-host (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Configurando dnsutils (1:9.11.5.P4+dfsg-5.1+deb10u1) ...
Procesando disparadores para shared-mime-info (1.10-1) ...
Procesando disparadores para menu (2.1.47+b1) ...
Procesando disparadores para fontconfig (2.13.1-2) ...
Procesando disparadores para desktop-file-utils (0.23-4) ...
Procesando disparadores para mime-support (3.62) ...
Procesando disparadores para hicolor-icon-theme (0.17-2) ...
Procesando disparadores para libc-bin (2.28-10) ...
Procesando disparadores para man-db (2.8.5-2) ...
Se encontraron errores al procesar:
 linux-image-4.19.0-9-amd64
 linux-image-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
gabriel@edugablinux:~$  

Offline

#8 2020-05-23 19:05

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 2,738
Website

Re: Error updating kernel

What is output of the command:
$ apt policy linux-image-4.19.0-9-amd64

Offline

#9 2020-05-24 04:31

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Re: Error updating kernel

gabriel@edugablinux:~$ apt policy linux-image-4.19.0-9-amd64
linux-image-4.19.0-9-amd64:
  Instalados: 4.19.118-2
  Candidato:  4.19.118-2
  Tabla de versión:
 *** 4.19.118-2 500
        500 http://ftp.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
gabriel@edugablinux:~$

Offline

#10 2020-05-24 11:17

gabrielg
Member
From: Buenos Aires, Argentina
Registered: 2020-05-13
Posts: 6

Re: Error updating kernel

Solved!
Log shows that -for some unknown reason- /etc/kernel/postinst.d/zz-update-grub was failing. I looked into it and it just runs update-grub (on certain specific circumstances).
So I just moved that script away, executed apt upgrade, and then manually update-grub.
All is fine now :-)
Although I don't know why zz-update-grub fails...

Offline

Board footer

Powered by FluxBB